Package org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class EndpointDescriptionReader

- java.lang.Object
- - org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionReader

All Implemented Interfaces:
  `IEndpointDescriptionReader`

    public class EndpointDescriptionReader
    extends Object
    implements IEndpointDescriptionReader

Default implementation of `IEndpointDescriptionReader`.

### Constructor Summary

Constructors
`EndpointDescriptionReader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Map<String,​Object>` `mergeWithParsed​(Map<String,​Object> parsedProperties, Map<String,​Object> mergeProperties)`
`EndpointDescription[]` `readEndpointDescriptions​(InputStream input)` Read endpoint descriptions from the given input stream.
`EndpointDescription[]` `readEndpointDescriptions​(InputStream ins, Map<String,​Object> overrideProperties)` Read endpoint descriptions from the given input stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EndpointDescriptionReader

    public EndpointDescriptionReader()

### Method Detail

#### readEndpointDescriptions

    public EndpointDescription[] readEndpointDescriptions​(InputStream input)
                                                   throws IOException

Description copied from interface: `IEndpointDescriptionReader`
Read endpoint descriptions from the given input stream. The ins parameter must not be `null`, and must provide data in the Endpoint Description Extender Format (EDEF) specified in section 122.8 of the OSGi Enterprise Specification.

Specified by:
  `readEndpointDescriptions` in interface `IEndpointDescriptionReader`
Parameters:
  `input` - the input stream to read from. Must be non-`null`, and must provide data in the format specified the EDEF specification (see link above).
Returns:
  array of `EndpointDescription` instance read from the given input stream.
Throws:
  `IOException` - if the inputstream does not have valid data in the EDE format. Note that the implementation of this method may call `InputStream.close()`.

#### readEndpointDescriptions

    public EndpointDescription[] readEndpointDescriptions​(InputStream ins,
                                                          Map<String,​Object> overrideProperties)
                                                   throws IOException

Description copied from interface: `IEndpointDescriptionReader`
Read endpoint descriptions from the given input stream. The ins parameter must not be `null`, and must provide data in the Endpoint Description Extender Format (EDEF) specified in section 122.8 of the OSGi Enterprise Specification.

Specified by:
  `readEndpointDescriptions` in interface `IEndpointDescriptionReader`
Parameters:
  `ins` - the input stream to read from. Must be non-`null`, and must provide data in the format specified the EDEF specification (see link above).
  `overrideProperties` - map of property name/values that will override the same-named values from the edef. If `null` then no overriding will be done.
Returns:
  array of `EndpointDescription` instance read from the given input stream.
Throws:
  `IOException` - if the inputstream does not have valid data in the EDE format. Note that the implementation of this method may call `InputStream.close()`.
Since:
  4.7

#### mergeWithParsed

    protected Map<String,​Object> mergeWithParsed​(Map<String,​Object> parsedProperties,
                                                       Map<String,​Object> mergeProperties)

Since:
  4.7